Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.206
diff -u -r1.206 chan_sip.c
--- channels/chan_sip.c	4 Nov 2003 02:40:09 -0000	1.206
+++ channels/chan_sip.c	5 Nov 2003 00:10:40 -0000
@@ -5582,6 +5582,7 @@
 	struct ast_channel *tmpc = NULL;
 	char *ext, *host;
 	char tmp[256] = "";
+	char forward[256] = "";
 	char *dest = data;
 
 	oldformat = format;
@@ -5631,6 +5632,18 @@
 	if (!tmpc)
 		sip_destroy(p);
 	restart_monitor();
+
+	/* Check to see if this channel is to be forwarded elsewhere */
+	if ((!ast_db_get("Forward", dest, forward, 256)) && forward && (*forward != '\0')) {
+		char *context;
+		context = strchr(forward, '@');
+		if (context) {
+			*context = '\0';
+			context++;
+			strncpy(tmpc->context, context, sizeof(tmpc->context));
+		}
+		strncpy(tmpc->call_forward, forward, sizeof(tmpc->call_forward));
+	}
 	return tmpc;
 }
 
